## arduino-cli config init

Writes current configuration to a configuration file.

### Synopsis

Creates or updates the configuration file in the data directory or custom directory with the current configuration settings.

```
arduino-cli config init [flags]
```

### Examples

```
  # Writes current configuration to the configuration file in the data directory.
  debian/build/bin/docsgen config init
  debian/build/bin/docsgen config init --dest-dir /home/user/MyDirectory
  debian/build/bin/docsgen config init --dest-file /home/user/MyDirectory/my_settings.yaml
```

### Options

```
      --dest-dir string    Sets where to save the configuration file.
      --dest-file string   Sets where to save the configuration file.
  -h, --help               help for init
      --overwrite          Overwrite existing config file.
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli config](arduino-cli_config.md)	 - Arduino configuration commands.

